lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Trejkaz <trej...@trypticon.org>
Subject Re: What version is this index?
Date Mon, 19 Sep 2016 06:05:43 GMT
On Mon, Sep 19, 2016 at 3:41 PM, Trejkaz <trejkaz@trypticon.org> wrote:
> The version checking code then says that because format < 9 and format >= 11,
> the index must be Lucene 3.0.

Obviously I meant format < -9 and format >= -11. Just in case this
confuses anyone.

Also as it turns out, the same version detection code run on
segments_1 decides that segments_1 was created by Lucene 3.x.

Also, if I try experimentally deleting one of the segments files and
upgrading the index anyway, it doesn't matter which one I delete, I
end up with a working index. Albeit two different results...

TX

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-user-help@lucene.apache.org


Mime
View raw message